Bug 244533 - Mouse control lost while using full screen vnc and xscreensaver start
Mouse control lost while using full screen vnc and xscreensaver start
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vnc (Show other bugs)
4.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 15:44 EDT by Timothy E Miller
Modified: 2010-03-18 11:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 11:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy E Miller 2007-06-16 15:44:45 EDT
Description of problem:
While using full screen vncviewer, if I walk away long enough for the client
host (the host running vncviewer, not the host actually serving the vnc 
desktop) system's screensaver to start, when I return I can no longer use
the mouse (if fails to show on screen).  Keyboard control still works in the
full screen vnc session.  However, the only way to get mouse back is a complete
kill (ctrl-alt-backspace) of the client's X server instance.  Logging into the
client from another system and killing the vncviewer process (TERM and KILL)
do not restore the mouse.


Version-Release number of selected component (if applicable):
vnc-4.0-11, xscreensaver-4.18-5.rhel4.14

How reproducible:
Every time

Steps to Reproduce:
1. Fire up vncviewer to vncserver on other box.
2. Enable full screen
3. Wait until xscreensaver kicks in on the client
Comment 1 Adam Tkac 2007-06-20 04:57:51 EDT
This is very old problem (bug #106552). It's hard make nice fix.

Adam
Comment 2 Ondrej Vasik 2010-03-18 11:51:21 EDT
As RHEL-4.9 is last update for RHEL-4 and it is not suitable for new features
and should address only security, performance and critical issues, I'm closing
that bugzilla WONTFIX. If this functionality is still missing in RHEL-5, feel
free to clone that bugzilla against it.

Note You need to log in before you can comment on or make changes to this bug.